package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;

import java.util.List;

/**
 * 添加优惠信息请求参数DTO
 *
 * @Author 陈标
 * @Date 2020/1/9 15:15
 */
public class OrderAddDiscountDTO extends OrderOperateDTO {

    /**
     * 优惠信息
     */
    private List<OrderDiscountDTO> orderDiscountList;

    /**
     * 是否清除原优惠
     */
    private Integer isClearDiscount;

    public List<OrderDiscountDTO> getOrderDiscountList() {
        return orderDiscountList;
    }

    public void setOrderDiscountList(List<OrderDiscountDTO> orderDiscountList) {
        this.orderDiscountList = orderDiscountList;
    }

    public Integer getIsClearDiscount() {
        return isClearDiscount;
    }

    public void setIsClearDiscount(Integer isClearDiscount) {
        this.isClearDiscount = isClearDiscount;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
